Bug 976600 - RFE: Increase contrast of Hidden Characters in Web UI
RFE: Increase contrast of Hidden Characters in Web UI
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Casperson
Jared MORGAN
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 21:33 EDT by Jared MORGAN
Modified: 2015-08-09 21:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-09 01:11:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jared MORGAN 2013-06-20 21:33:19 EDT
Description of problem:

When viewing the hidden characters in the Web UI, the characters are very feint. 

How reproducible:

100% on the Samsung SyncMaster 2443 monitor. Other monitors may vary.

Steps to Reproduce:
1. Turn on Hidden Characters in a topic
2. Observe Behavior


Actual results:

Characters display but the gradient is very feint. Depending on the monitor used you sometimes have to change your viewing angle to see the hidden characters clearly.

Expected results:

Character gradient is such that you can view the characters clearly at the correct ergonomic viewing angle of the monitor. Suggest 50% or darker.

Additional info:

This issue was discovered when I was editing a CSP map in the UI. I was pressing the TAB key by reflex as that is what I do in gedit when editing the maps. This inserted Tab stops instead of spaces, which is why I had to enable the hidden characters so I could replace the tab stops with spaces manually.
Comment 1 Matthew Casperson 2013-07-01 01:53:58 EDT
Fixed in 201307011553

Hidden characters are styled with the .ace_invisible class. To fix this, the following changes need to be made in the theme-eclipse.js file.

Change

.ace_invisible {color: #ddd;}

to

.ace_invisible {color: #666;}

NOTE:
When QAing bug fixes, please make sure the build you are using is equal to or higher than the build identified above. Be aware that this fix may have only been applied in PressGang Next at this time, or it may not be currently applied in any production system, in which case it can only be verified at a later date.
Comment 2 Lee Newson 2013-10-09 01:11:10 EDT
Moving this bug to CLOSED CURRENT_RELEASE to clean up old bugs that were QA'd by the PressGang team but not by the original reporter.

Note You need to log in before you can comment on or make changes to this bug.